package controller

import (
	"blazing/common/socket/errorcode"
	"blazing/logic/service"
	"blazing/logic/service/commendsvr"
)

// 处理命令: 105
func (h *Controller) GetServer(data *commendsvr.SidInfo, c *service.Conn) (result *commendsvr.CommendSvrInfo, err errorcode.ErrorCode) { //这个时候player应该是空的
	result = commendsvr.NewInInfo()
	result.ServerList = commendsvr.GetServerInfoList()
	return

	//return //TODO 这里待实现改成接口调用Ret方法
}
